/*
	CSS Syntax


	CSS Rule-Set
	selector {
	
		property:  value;
	}
*/


/* * - universal selector. Able to select all the elements in an html page

	font-family property allows to determine the font of the text. The value
	"Courier New" becomes the default font for our elements. 
	monospace is the 2ndary font or the fallback font which means if the font
	is not installed or cannot be found, we will fallback to use a font similar to it.

	font-size property allows us to change the font size. And can also be measured not only by pixels. 
	Other CSS measurements can be used to determine the font-size. */
* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

html {
	/*scroll-behavior changes the scrolling when navigating
	within the page*/
	scroll-behavior: smooth;
}

body {
	/*background-color changes background color of an element*/
	background-color: skyblue;
}

nav {
	background-color: white;
}
/*selector hover pseudo class*/
/*change the style of an element when hovered over*/
a:hover {
	background-color: #b4d6de;
}

nav > div {
	/*display: inline-block allows to change display
	of the div element from block to inline block, which means
	this div is now inline with its siblings however
	still act like a block element*/
	/*float: right we were able to change the horizontal alignment
	of our element and put it to the right of our container.*/
	display: inline-block;
	float: right;
}
/* type/tag selector - select elements of the type or tag. */

h1 {
	/*ctrl + shift + / */
	/* !important will make the property a priority. */
	color: black; !important;
	font-size: 2rem; /*2 x root-element-font-size */
	text-align: center;

	/*rem - root element , a measurement based on the font size of the
	root element. Default font size is 16px. The root element is the html tag.*/
}

section {
	/*increased height of our sections to 100% viewport height.
	Viewport Height is the Height of the page with the screen we are
	viewing from.*/
	height: 100vh;
	/*allows us to horizontally align our text within the element.*/
	text-align: center;
}

h2 {
	font-size: 1.5rem;
}

ol {
	/*removes the list style from our list items*/
	list-style-type: none;
}

/*id-selector allows us to select the element with a particular id. This selector
is the highest priority.

In CSS, You can select the id by adding # before the name of the id.*/



#zuitt-motto {
	letter-spacing: 5px;
}
/*class-selector select elements with the same class. In CSS, we can select
the class by adding . before the name of the class.

An element can have both id and class, however declarations for the id
is given more priority over class.

*/


.offering-item {
	/*text-transform determine the case of an element.*/
	text-transform: uppercase;
	/*letter-spacing: 20px;*/

}
/*attribute selector allows to select elements with the same
tag and attribute 
	tag[attribute] */

input[required] {
	/*border-width property allows to change the thickness of element's
	border

	border-style property change the style of the border.

	border-color change the color of an element's border.*/


	border-width: 2px;
	border-style: solid;
	border-color: navy;
	/*The input is now 90% of its parent element*/
	width: 90%;
}
/* adjacent sibling selector. This allows us to select the sibling element
directly after the first selector.

	first selector + adjacent selector */
h3 + img {
	/*
		height and width properties allows us to determine the H and W
		of an element. Unlike the H and W att in our HTML. In CSS, we
		can add more measurements instead of just pixels.

		border-radius allows to round the corners of an element.
		*/
	height: 300px;
	width: 300px;
	border-radius: 150px;
}
/*

	descendant selector

		allows us to select elements which are descendants of the first
		1st selector.

	first selector (ancestor) <space> 2nd selector (descendant)*/
#bootcamp-learning-list li {
	/*#075966 as a value to color and called a hex value. a hexadecimal value
	consists of the pound sign # plus 6 alphanumeric char. Hex value colors
	are more specific than HTML colors.*/
	color: #075966;
}

/*

	general sibling selector allow us to select siblings after our first
	selector.

	selector ~ selector (siblings)

*/
h2 ~ a {
	/* text-decor property change lines included in thext (ex.
	overline, underlines or strikethrough. By default, anchor tags
	have underline.) 

	lahat ng a na kapatid ng h2*/

	text-decoration: none;
}
/*
	Child Selector

	Allows us to select the child of an element.

	selector (parent) > selector (child)

*/
body > section > form > label {
	/*rgb() can be accepted as a value of properties
	that change colors. Refer to red green and blue.
	Combination of these values from 0 to 255 determines the color.*/
	color: rgb(0,0,128);
}

form {
	text-align: center;
	background-color: white;
	/*border: <width> <style> <color> */
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	/*Viewport Widthis a measurement based on a percentage of the
	width of the screen we are viewing our page from.*/
	/*position property changes position of an element based
	on a criteria.

	position:  relative; means we will move the element relative to
	its orig position in the doc.

	left property add measurement on the left side of an element.
	The value % is based on the measurement of the parent element. 37.25%
	from the left of the parent element.*/
	position: relative;
	left: 37.25%;	
}

/*mini activity*/

/*style the button */

button {
	color: white;
	background-color: #cf0053;
	border: 0;
	border-radius: 15px;
}